Subject: Re: bug#11999: 24.1.50; New Info file suffix ".info" breaks `Info-find-node-2'

From: Juri Linkov <[email-masked]>
Date: Sun, 29 Jul 2012 09:30:03 +0300

>> Let's take the use case of typing "i foobar" and getting "No 'foobar'
>> in index." in response.  Whose fault/mistake is this?

I tried to type "i foobar" in the "(dir) Top" node and it entered
the debugger with:

Debugger entered--Lisp error: (error "The Info directory node has no index; use m to select a manual")
  signal(error ("The Info directory node has no index; use m to select a manual"))
  error("The Info directory node has no index; use m to select a manual")
  (if (equal Info-current-file "dir") (error "The Info directory node has no index; use m to select a manual"))
  (let ((completion-ignore-case t) ...
  (list (let ((completion-ignore-case t) ...
  call-interactively(Info-index nil nil)

Then I tried to type "i foobar" in the "(emacs) Top" node and it displayed
the message "No `foobar' in index" in the echo area.

I wonder why is this difference?  I really have no idea
how this could be fixed in terms of "user error".

> I think it is clearly a "user error".

While I think that removing ugly regexps from `debug-ignored-errors'
was an improvement, a new function has an unfortunate name.

According to http://en.wikipedia.org/wiki/User_error
the term "user error" has offensive connotations
such as "PEBKAC" and "ID-10T error".

For a better name please consider e.g. `error-no-debug'.
Or maybe turn the table and use just `error-debug'
for errors that require debugging?  (I see no harm in having
both `error-no-debug' and `error-debug').